VisualEditor: Creating a new reference with blank content leads to insertion of a <ref/> tag in the wikitext
Closed, ResolvedPublic

Description

See https://pl.wikipedia.org/w/index.php?title=Wojnicz&diff=37347163&oldid=37312891 for an example - I'm not sure what the problem is, here, since that's a meaningless tag :/.


Version: unspecified
Severity: normal

bzimport set Reference to bz53345.
Ironholds created this task.Via LegacyAug 26 2013, 2:36 PM
Ironholds added a comment.Via ConduitAug 27 2013, 4:33 PM

Looks like it's what happens when you insert a reference without typing anything into the box. Hit "insert reference", leave the main field blank, go immediately to the insert button, and... https://pl.wikipedia.org/w/index.php?title=Wikipedysta%3AOkeyes_%28WMF%29&diff=37370424&oldid=37257359

gerritbot added a comment.Via ConduitAug 28 2013, 12:20 AM

Change 81438 had a related patch set uploaded by Esanders:
Disable inserting/changing references when surface widget is empty

https://gerrit.wikimedia.org/r/81438

gerritbot added a comment.Via ConduitAug 28 2013, 12:23 AM

Change 81438 merged by jenkins-bot:
Disable inserting/changing references when surface widget is empty

https://gerrit.wikimedia.org/r/81438

Jdforrester-WMF added a comment.Via ConduitAug 28 2013, 12:23 AM

Fixed in master; will be deployed on Thursday as part of the regular push.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.